## proxytunnel 1.9.0

=== Makefile ===
# Makefile for proxytunnel
#
# Please uncomment the appropriate settings

CC ?= cc
CFLAGS ?= -Wall -O2 -ggdb

OPTFLAGS = -DREV=$(shell ./getrev.sh)

# Comment on non-gnu systems
OPTFLAGS += -DHAVE_GETOPT_LONG

# Comment if you don't have/want ssl
OPTFLAGS += -DUSE_SSL

# Most systems
OPTFLAGS += -DSETPROCTITLE -DSPT_TYPE=2

# Comment if you don't have this flag
OPTFLAGS += -DSO_REUSEPORT

# System dependant blocks... if your system is listed below, uncomment
# the relevant lines

# OpenBSD
#OPTFLAGS += -DHAVE_SYS_PSTAT_H

# DARWIN
#OPTFLAGS += -DDARWIN

# CYGWIN
#OPTFLAGS += -DCYGWIN

# SOLARIS
#LDFLAGS += -lsocket -lnsl
#LDFLAGS += -L/usr/local/ssl/lib	# Path to your SSL lib dir

# END system dependant block

SSL_LIBS := $(shell pkg-config --libs libssl 2>/dev/null)
ifeq ($(SSL_LIBS),)
SSL_LIBS := $(shell pkg-config --libs openssl 2>/dev/null)
endif
ifeq ($(SSL_LIBS),)
SSL_LIBS := -lssl -lcrypto
endif
LDFLAGS += $(SSL_LIBS)

PREFIX =/usr/local
BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share
MANDIR = $(DATADIR)/man

PROGNAME = proxytunnel

# Remove strlcpy/strlcat on (open)bsd/darwin systems
OBJ = proxytunnel.o	\
	base64.o	\
	strlcpy.o	\
	strlcat.o	\
	strzcat.o	\
	setproctitle.o	\
	io.o		\
	http.o		\
	basicauth.o	\
	readpassphrase.o	\
	messages.o	\
	cmdline.o	\
	ntlm.o		\
	ptstream.o

proxytunnel: $(OBJ)
	$(CC) -o $(PROGNAME) $(CFLAGS) $(OPTFLAGS) $(OBJ) $(LDFLAGS)

clean:
	@rm -f $(PROGNAME) $(OBJ)

install:
	install -Dp -m0755 $(PROGNAME) $(DESTDIR)$(BINDIR)/$(PROGNAME)
	install -Dp -m0644 $(PROGNAME).1 $(DESTDIR)$(MANDIR)/man1/$(PROGNAME).1

.c.o:
	$(CC) $(CFLAGS) $(OPTFLAGS) -c -o $@ $<

=== debian/changelog ===
proxytunnel (1.9.0-5) unstable; urgency=low

  * Improve documentation about the --buggy-encrypt-proxy option
  * Apply hardening flags (build-depend on hardening-includes)

 -- Julian Gilbey <jdg@debian.org>  Sun, 10 Jun 2012 10:23:14 +0100

proxytunnel (1.9.0-4) unstable; urgency=low

  * Add patch to support buggy Apache servers via the
    --buggy-encrypt-proxy option (for more info on the bug, see
    https://issues.apache.org/bugzilla/show_bug.cgi?id=29744)
    - with thanks to Jim Paris <jim@jtan.com> for this patch (Closes:
    #618698)
  * Don't install changelog twice (Closes: #614689)
  * Update Standards-Version and debhelper compat level
  * Fix FTBFS on GNU/kFreeBSD. Thanks to Steven Chamberlain.  (Closes:
    #664470)

 -- Julian Gilbey <jdg@debian.org>  Sun, 29 Apr 2012 16:38:21 +0100

proxytunnel (1.9.0-3) unstable; urgency=low

  * Provide more useful error messages from GNUTLS
  * Provide a watch file

 -- Julian Gilbey <jdg@debian.org>  Mon, 29 Mar 2010 19:05:47 +0100

proxytunnel (1.9.0-2) unstable; urgency=low

  * Remove defunct debian/dirs file
  * Update manpage

 -- Julian Gilbey <jdg@debian.org>  Sun, 30 Aug 2009 22:00:43 +0100

proxytunnel (1.9.0-1) unstable; urgency=high

  * New upstream version
  * Initial official Debian release (Closes: #166180)
  * Rewrite encryption code to use GNUTLS instead of OpenSSL to avoid
    licence clash issues (code is GPL, which conflicts with OpenSSL
    licence)

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Aug 2009 02:10:11 +0100

proxytunnel (1.7.0-1) unstable; urgency=high

  * New upstream version

 -- Mark Janssen <maniac@maniac.nl>  Mon, 19 Mar 2007 13:50:32 +0100

proxytunnel (1.5.2-1) unstable; urgency=high

  * New version
  * NTLM Cleanups, removed md[45] code in favour of using libssl

 -- Mark Janssen <maniac@maniac.nl>  Fri, 16 Dec 2005 10:00:00 +0200

proxytunnel (1.5.0-1) unstable; urgency=high

  * New version
  * NTLM support

 -- Mark Janssen <maniac@maniac.nl>  Mon, 15 Aug 2005 12:24:00 +0200

proxytunnel (1.2.3-1) unstable; urgency=high

  * Added security-patch from gentoo security team, fix buffer overflow

 -- Mark Janssen <maniac@maniac.nl>  Wed, 20 Nov 2002 15:12:10 +0200

proxytunnel (1.2.0-1) unstable; urgency=low

  * Added patch by Fred Donck <fd0 at donck dot com> to store proxy username
    and password in environment variables.

 -- Mark Janssen <maniac@maniac.nl>  Thu, 30 Sep 2004 11:22:03 +0200

proxytunnel (1.1.2-1) unstable; urgency=low

  * More cleaning up, added manpage.
  * Added patches/suggestions by Loic Le Guyader <loic.leguyader@laposte.net>

 -- Mark Janssen <maniac@maniac.nl>  Wed, 20 Nov 2002 15:12:10 +0200

proxytunnel (1.1-2) unstable; urgency=low

  * Some more cleaning up build-environment
  * Added Suggests: ssh

 -- Mark Janssen <maniac@maniac.nl>  Wed,  4 Sep 2002 14:46:20 +0200

proxytunnel (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Mark Janssen <maniac@maniac.nl>  Wed,  4 Sep 2002 13:55:15 +0200

=== debian/control ===
Source: proxytunnel
Section: net
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper (>> 9), libgnutls-dev, libmhash-dev, pkg-config, hardening-includes
Standards-Version: 3.9.3

Package: proxytunnel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ssh
Description: Create tcp tunnels trough HTTPS proxies, for using with SSH
 Proxytunnel is a program that connects stdin and stdout
 to an origin server somewhere in the Internet through an industry
 standard HTTPS proxy. It was originally written to be used
 as an extension to SSH, to be used to SSH to a box at home. It's possible
 to use proxytunnel along with other applications as well.

## proxytunnel 1.9.0%2Bsvn250

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: proxytunnel
 Section: net
 Priority: optional
-Maintainer: Julian Gilbey <jdg@debian.org>
-Build-Depends: debhelper (>> 9), libgnutls-dev, libmhash-dev, pkg-config, hardening-includes
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julian Gilbey <jdg@debian.org>
+Build-Depends: debhelper (>> 9), libssl-dev, pkg-config, xmlto, asciidoc
+Standards-Version: 3.9.5
 
 Package: proxytunnel
 Architecture: any

## proxytunnel 1.9.0+svn250

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,19 @@
 #
 # Please uncomment the appropriate settings
 
+name = proxytunnel
+version = $(shell awk 'BEGIN { FS="\"" } /^\#define VERSION / { print $$2 }' config.h)
+
+ifneq ($(wildcard .svn),)
+revision = $(shell svnversion | awk 'BEGIN { RS=":" } { next } END { print $$1 }')
+else
+revision = $(shell echo '$$Revision: 242 $$' | sed -e 's/\$$Revision: \([0-9]\+\) \$$$$/\1/')
+endif
+
 CC ?= cc
 CFLAGS ?= -Wall -O2 -ggdb
 
-OPTFLAGS = -DREV=$(shell ./getrev.sh)
+OPTFLAGS = -DREVISION=\"$(revision)\"
 
 # Comment on non-gnu systems
 OPTFLAGS += -DHAVE_GETOPT_LONG
@@ -46,12 +55,10 @@
 endif
 LDFLAGS += $(SSL_LIBS)
 
-PREFIX =/usr/local
-BINDIR = $(PREFIX)/bin
-DATADIR = $(PREFIX)/share
-MANDIR = $(DATADIR)/man
-
-PROGNAME = proxytunnel
+prefix = /usr/local
+bindir = $(prefix)/bin
+datadir = $(prefix)/share
+mandir = $(datadir)/man
 
 # Remove strlcpy/strlcat on (open)bsd/darwin systems
 OBJ = proxytunnel.o	\
@@ -69,15 +76,33 @@
 	ntlm.o		\
 	ptstream.o
 
+.PHONY: all clean docs install
+
+all: proxytunnel docs
+
+docs:
+	$(MAKE) -C docs
+
 proxytunnel: $(OBJ)
-	$(CC) -o $(PROGNAME) $(CFLAGS) $(OPTFLAGS) $(OBJ) $(LDFLAGS)
+	$(CC) -o $(name) $(CFLAGS) $(OPTFLAGS) $(OBJ) $(LDFLAGS)
 
 clean:
-	@rm -f $(PROGNAME) $(OBJ)
+	@rm -f $(name) $(OBJ)
+	$(MAKE) -C docs clean
 
 install:
-	install -Dp -m0755 $(PROGNAME) $(DESTDIR)$(BINDIR)/$(PROGNAME)
-	install -Dp -m0644 $(PROGNAME).1 $(DESTDIR)$(MANDIR)/man1/$(PROGNAME).1
+	install -Dp -m0755 $(name) $(DESTDIR)$(bindir)/$(name)
+	$(MAKE) -C docs install
 
 .c.o:
 	$(CC) $(CFLAGS) $(OPTFLAGS) -c -o $@ $<
+
+dist: clean docs
+	sed -i -e 's/^Version:.*$$/Version: $(version)/' contrib/proxytunnel.spec
+	find . ! -wholename '*/.svn*' | pax -d -w -x ustar -s ,^./,$(name)-$(version)/, | bzip2 >../$(name)-$(version).tar.bz2
+
+rpm: dist
+	rpmbuild -tb --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_rpmdir ../" ../$(name)-$(version).tar.bz2
+
+srpm: dist
+	rpmbuild -ts --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_srcrpmdir ../" ../$(name)-$(version).tar.bz2

=== docs/Makefile ===
prefix = /usr/local
datadir = $(prefix)/share
mandir = $(datadir)/man

txttargets = $(shell echo *.txt)
htmltargets = $(patsubst %.txt, %.html, $(txttargets))

docs: proxytunnel.1 $(htmltargets)

install: proxytunnel.1
	install -Dp -m0644 proxytunnel.1 $(DESTDIR)$(mandir)/man1/proxytunnel.1

clean:
	rm -f proxytunnel.1 *.html *.xml

%.1.html: %.1.txt
	asciidoc -d manpage $<

%.1: %.1.xml
	xmlto man $<

%.html: %.txt
	asciidoc $<

%.1.xml: %.1.txt
	asciidoc -b docbook -d manpage $<

=== debian/changelog ===
proxytunnel (1.9.0+svn250-6) unstable; urgency=medium

  * Remove libssl pkg-config check in Makefile, as we're not using libssl
    (closes: #788773)

 -- Julian Gilbey <jdg@debian.org>  Mon, 15 Jun 2015 00:12:22 +0100

proxytunnel (1.9.0+svn250-5) unstable; urgency=medium

  * Improved fix to bug#767301: Replace SSLv3_client_method with
    SSLv23_client_method so that any of the TLS versions can be used
    following negotiation with the client (thanks to Peter Meiser for
    pointing out my error with the previous patch) (Closes: #767301)

 -- Julian Gilbey <jdg@debian.org>  Sun, 09 Nov 2014 10:54:14 +0000

proxytunnel (1.9.0+svn250-4) unstable; urgency=medium

  * Replace SSLv3 usage with TLSv1 to respond to CVE-2014-3566 removal of
    SSLv3 from openssl package (Closes: #767301)

 -- Julian Gilbey <jdg@debian.org>  Fri, 07 Nov 2014 10:06:38 +0000

proxytunnel (1.9.0+svn250-3) unstable; urgency=low

  * Fix regression: FTBFS on some systems (Closes: #664470)

 -- Julian Gilbey <jdg@debian.org>  Tue, 28 Jan 2014 20:13:50 +0000

proxytunnel (1.9.0+svn250-2) unstable; urgency=low

  * Add support for TLS SNI (Closes: #725830)

 -- Julian Gilbey <jdg@debian.org>  Sun, 26 Jan 2014 23:08:39 +0000

proxytunnel (1.9.0+svn250-1) unstable; urgency=medium

  * New upstream release
  * Revert to using OpenSSL following licensing change to allow this
  * Convert copyright file to DEP-5 format
  * Remove build dependency on hardening-includes; this is now dealt with
    by debhelper

 -- Julian Gilbey <jdg@debian.org>  Sun, 26 Jan 2014 20:13:49 +0000

proxytunnel (1.9.0-6) unstable; urgency=low

  * Apply new Apache bug workaround patch from Thomas Hilber
    <Thomas.Hilber@enxio.de>, modified to allow -B as a backwards
    compatibility option (Closes: #691884)
  * Attempt to write to the socket multiple times until all data has been
    written; patch by Ludovico Cavedon <cavedon@debian.org> (Closes:
    #717771)

 -- Julian Gilbey <jdg@debian.org>  Mon, 09 Sep 2013 18:26:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: proxytunnel
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Julian Gilbey <jdg@debian.org>
+Maintainer: Julian Gilbey <jdg@debian.org>
 Build-Depends: debhelper (>> 9), libssl-dev, pkg-config, xmlto, asciidoc
 Standards-Version: 3.9.5

=== debian/watch ===
# Watchfile for proxytunnel
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://proxytunnel.sourceforge.net/download.php \
  http://.*downloads.sourceforge.net/proxytunnel/proxytunnel-(.*)\.tgz

## proxytunnel 1.9.0-0mg1

=== debian/changelog ===
proxytunnel (1.9.0-0mg1) unstable; urgency=low

  * New upstream version.
  * Build for Fremantle (Maemo 5).
  * Fix manpage path in debian/rules.
  * Fix debian/rules to install the binary into /usr/bin and not
    /usr/local/bin.
  * Increase debhelper compatibility level to 5.

 -- Marius Gedminas <marius@gedmin.as>  Wed, 14 Oct 2009 14:44:15 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/proxytunnel.sgml > proxytunnel.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/proxytunnel.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/proxytunnel PREFIX=/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman proxytunnel.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## proxytunnel 1.10.20200507

=== debian/changelog ===
proxytunnel (1.10.20200507-1) unstable; urgency=medium

  * New upstream release
  * Adapt d/patches/* to new release
    - Remove patches meanwhile applied upstream:
      001_apache_bug_29744_workaround.patch,
      003_socket_write_loop.patch,
      004_fix_spelling_error_in_manpage.patch.
    - Drop numeric prefix from remaining patches:
      000_add_CPPFLAGS.patch -> add_CPPFLAGS.patch
      002_fix_Makefile_FTBFS.patch -> fix_Makefile_FTBFS.patch.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Fri, 22 May 2020 18:12:23 +0200

proxytunnel (1.9.1+git20200123.eff4d41-1) unstable; urgency=medium

  * New upstream release + latest git snapshot.
    (Closes: #957712, #958177)
  * New maintainer + add myself as uploader.
    - Update d/control.
  * Add d/gbp.conf made-up according to the team standard.
  * Introduce autopkgtest per d/test/*.
    - The test covers tunneling of a SSH connection through HTTP, HTTPS, HTTPS
      forced to use TLS1.2 and HTTPS forced to use TLS 1.3, by only using the
      loopback interface.
  * Update d/watch.
    - Bump to version 4.
    - Switch over to recent upstream on Github.
  * Adapt d/patches/* to new release
    - Split off 000_add_CPPFLAGS from 002_fix_Makefile_FTBFS.
    - Update 001_apache_bug_29744_workaround, 002_fix_Makefile_FTBFS and
      003_socket_write_loop.
    - Remove patches dispensable due to upstream changes:
      004_remove_warnings, 005_sni, 006_migrate_from_SSLv3 and
      007_fix_Makefile_ssl_FTBFS.
    - Add DEP3 compliant headers to the remaining patches.
    - Add .patch suffix to the remaining patches.
    - Add 004_fix_spelling_error_in_manpage.patch.
  * Switch to DH compat format and raise level
    - Replace Build-Depends debhelper (>> 9) by debhelper-compat (= 13)
      in d/control.
    - Remove file d/compat.
  * Update d/control in general.
    - Add fields Rules-Requires-Root, Vcs-Browser, Vcs-Git and Homepage.
    - Revise Description.
  * Update d/rules.
    - Add a switch to change compilers easily. This helped to verify #957712
      had been fixed upstream.
    - Enable all hardening options available for ELF binaries.
  * Make sure the source is compiled for use with OpenSSL 1.1.0 and above.
    - Update Build-Depends in d/control.
    - Update d/rules to pass -DOPENSSL11 to Makefile.
  * Add d/upstream/metadata according to DEP12.
  * Revise and update d/copyright.
  * Introduce d/NEWS.
  * Add d/salsa-ci.yml made-up according to the team standard.
  * Bump Standards-Version to 4.5.0; no more changes necessary.
    - Update d/control.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 19 May 2020 20:52:07 +0200

=== debian/control ===
Source: proxytunnel
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sven Geuer <debmaint@g-e-u-e-r.de>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libssl-dev (>= 1.1.0),
               pkg-config,
               xmlto,
               asciidoc
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/pkg-security-team/proxytunnel
Vcs-Git: https://salsa.debian.org/pkg-security-team/proxytunnel.git
Homepage: https://proxytunnel.sourceforge.io/

Package: proxytunnel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ssh
Description: Help SSH and other protocols through HTTP(S) proxies
 Proxytunnel creates tunnels through HTTP(S) proxies for any TCP based
 protocol. It comes in handy when one sits behind a firewall that allows for
 HTTP(S) traffic only.
 .
 The program connects stdin and stdout to an origin server somewhere in the
 Internet through an industry standard HTTP or HTTPS proxy. It was originally
 written as an extension to SSH, to be used to SSH to a box at home.
 .
 It's possible to use proxytunnel along with other applications as well,
 by running it from inetd or as daemon listing on a local port to be
 forwarded through the tunnel.

=== debian/rules ===
#!/usr/bin/make -f

# This serves to change compilers easily
#  It should be set to 'cc' by default. Alternatives can be 'gcc-9', 'gcc-10'
#  or others, depending on the build environment in use.
export CC=cc

# Make sure the code is compiled for use with OpenSSL 1.1.0 and above
export OPTFLAGS=-DOPENSSL11

# Make sure lintian does not complain about missing hardenings
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

=== debian/watch ===
# Watchfile for proxytunnel
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4
opts=\
filenamemangle=s/[a-z\/-]+v?(\d+\.\d+\.\d+)\.tar\.gz/proxytunnel-$1.tar.gz/ \
https://github.com/proxytunnel/proxytunnel/tags \
/proxytunnel/proxytunnel/archive/v?(\d+\.\d+\.\d+)\.tar\.gz debian uupdate

## proxytunnel 1.10.20210128

=== Makefile ===
--- 
+++ 
@@ -5,16 +5,8 @@
 name = proxytunnel
 version = $(shell awk 'BEGIN { FS="\"" } /^\#define VERSION / { print $$2 }' config.h)
 
-ifneq ($(wildcard .svn),)
-revision = $(shell svnversion | awk 'BEGIN { RS=":" } { next } END { print $$1 }')
-else
-revision = $(shell echo '$$Revision: 242 $$' | sed -e 's/\$$Revision: \([0-9]\+\) \$$$$/\1/')
-endif
-
 CC ?= cc
 CFLAGS ?= -Wall -O2 -ggdb
-
-OPTFLAGS = -DREVISION=\"$(revision)\"
 
 # Comment on non-gnu systems
 OPTFLAGS += -DHAVE_GETOPT_LONG
@@ -46,9 +38,9 @@
 
 # END system dependant block
 
+SSL_LIBS := $(shell pkg-config --libs openssl 2>/dev/null)
+ifeq ($(SSL_LIBS),)
 SSL_LIBS := $(shell pkg-config --libs libssl 2>/dev/null)
-ifeq ($(SSL_LIBS),)
-SSL_LIBS := $(shell pkg-config --libs openssl 2>/dev/null)
 endif
 ifeq ($(SSL_LIBS),)
 SSL_LIBS := -lssl -lcrypto
@@ -63,8 +55,6 @@
 # Remove strlcpy/strlcat on (open)bsd/darwin systems
 OBJ = proxytunnel.o	\
 	base64.o	\
-	strlcpy.o	\
-	strlcat.o	\
 	strzcat.o	\
 	setproctitle.o	\
 	io.o		\
@@ -73,12 +63,19 @@
 	readpassphrase.o	\
 	messages.o	\
 	cmdline.o	\
+	globals.o	\
 	ntlm.o		\
 	ptstream.o
 
+UNAME = $(shell uname)
+ifneq ($(UNAME),Darwin)
+OBJ += strlcpy.o	\
+	strlcat.o
+endif
+
 .PHONY: all clean docs install
 
-all: proxytunnel docs
+all: proxytunnel
 
 docs:
 	$(MAKE) -C docs
@@ -91,7 +88,8 @@
 	$(MAKE) -C docs clean
 
 install:
-	install -Dp -m0755 $(name) $(DESTDIR)$(bindir)/$(name)
+	install -d $(DESTDIR)$(bindir)
+	install -p -m555 $(name) $(DESTDIR)$(bindir)
 	$(MAKE) -C docs install
 
 .c.o:

=== debian/changelog ===
proxytunnel (1.10.20210128-1) unstable; urgency=medium

  * New upstream release.
  * Adapt watch file to recent changes to uscan.
  * Bump years in d/copyright.
  * Bump Standards-Version to 4.5.1; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 30 Jan 2021 16:22:30 +0100

proxytunnel (1.10.20200907-2) unstable; urgency=medium

  * Don't force CC to anything by default in d/rules as this breaks
    cross-building. Instead, keep the option commented out.
    (Closes: #970703)

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 22 Sep 2020 19:51:31 +0200

proxytunnel (1.10.20200907-1) unstable; urgency=medium

  * New upstream release
  * Adapt d/docs to README been replaced by README.md.
  * Prepare d/rules to run in verbose mode if needed.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 19 Sep 2020 20:39:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                pkg-config,
                xmlto,
                asciidoc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/proxytunnel
 Vcs-Git: https://salsa.debian.org/pkg-security-team/proxytunnel.git

=== debian/watch ===
# Watchfile for proxytunnel
# See uscan(1) for format

# Compulsory line, this is a version 4 file

version=4
opts=\
filenamemangle=s/.*\/v?(\d+\.\d+\.\d+)\.tar\.gz/proxytunnel-$1.tar.gz/ \
https://github.com/proxytunnel/proxytunnel/tags \
/proxytunnel/proxytunnel/archive/v?(\d+\.\d+\.\d+)\.tar\.gz debian uupdate

## proxytunnel 1.10.20210604

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,6 @@
 
 # Most systems
 OPTFLAGS += -DSETPROCTITLE -DSPT_TYPE=2
-
-# Comment if you don't have this flag
-OPTFLAGS += -DSO_REUSEPORT
 
 # System dependant blocks... if your system is listed below, uncomment
 # the relevant lines
@@ -81,7 +78,7 @@
 	$(MAKE) -C docs
 
 proxytunnel: $(OBJ)
-	$(CC) -o $(name) $(CFLAGS) $(OPTFLAGS) $(OBJ) $(LDFLAGS)
+	$(CC) -o $(name) $(CPPFLAGS) $(CFLAGS) $(OPTFLAGS) $(OBJ) $(LDFLAGS)
 
 clean:
 	@rm -f $(name) $(OBJ)
@@ -93,7 +90,7 @@
 	$(MAKE) -C docs install
 
 .c.o:
-	$(CC) $(CFLAGS) $(OPTFLAGS) -c -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(OPTFLAGS) -c -o $@ $<
 
 dist: clean docs
 	sed -i -e 's/^Version:.*$$/Version: $(version)/' contrib/proxytunnel.spec

=== docs/Makefile ===
prefix = /usr/local
datadir = $(prefix)/share
mandir = $(datadir)/man

adoctargets = $(shell echo *.adoc)
htmltargets = $(patsubst %.adoc, %.html, $(adoctargets))

docs: proxytunnel.1 $(htmltargets)

install: proxytunnel.1
	install -d $(DESTDIR)$(mandir)/man1
	install -p proxytunnel.1 $(DESTDIR)$(mandir)/man1

clean:
	rm -f proxytunnel.1 *.html *.xml

%.1.html: %.1.adoc
	asciidoc -d manpage $<

%.1: %.1.xml
	xmlto man $<

%.html: %.adoc
	asciidoc $<

%.1.xml: %.1.adoc
	asciidoc -b docbook -d manpage $<

=== debian/changelog ===
proxytunnel (1.10.20210604-2) unstable; urgency=medium

  * Build-Depends: Drop versioned constraint on libssl-dev.
  * Bump years in d/copyright where required.
  * Bump Standards-Version to 4.6.1; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Wed, 26 Oct 2022 14:49:37 +0200

proxytunnel (1.10.20210604-1) unstable; urgency=medium

  * New upstream release.
  * Adapt d/patches/* to new release.
    - Remove patches meanwhile applied upstream:
      add_CPPFLAGS.patch,
      fix_Makefile_FTBFS.patch.
  * Bump Standards-Version to 4.6.0; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 28 Aug 2021 14:17:21 +0200

proxytunnel (1.10.20210128-2) unstable; urgency=medium

  * Generalize d/watch to deal with occasional changes to the tarball link.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 14 Aug 2021 21:26:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: net
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libssl-dev (>= 1.1.0),
+               libssl-dev,
                pkg-config,
                xmlto,
                asciidoc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/proxytunnel
 Vcs-Git: https://salsa.debian.org/pkg-security-team/proxytunnel.git

=== debian/watch ===
# Watchfile for proxytunnel
# See uscan(1) for format

# Compulsory line, this is a version 4 file

version=4
opts=\
filenamemangle=s%(?:.*?/)?v?(\d+\.\d+\.\d+)\.tar\.gz%proxytunnel-$1.tar.gz% \
https://github.com/proxytunnel/proxytunnel/tags \
(?:.*?/)?v?(\d+\.\d+\.\d+)\.tar\.gz debian uupdate

## proxytunnel 1.11

=== debian/changelog ===
proxytunnel (1.11-1) unstable; urgency=medium

  * Adapt d/watch to upstream's changed numbering schema.
  * New upstream release introducing options -4 and -6 (Closes: #1050661).
  * Add d/p/SSL_set_tlsext_host_name-return-value-check.patch to fix the
    SSL support broken upstream.
  * Bump years in d/copyright where required.
  * Bump Standards-Version to 4.6.2; no more changes necessary.
  * Update d/NEWS regarding the options -4 and -6.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sun, 03 Sep 2023 23:23:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                pkg-config,
                xmlto,
                asciidoc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/proxytunnel
 Vcs-Git: https://salsa.debian.org/pkg-security-team/proxytunnel.git

## proxytunnel 1.12.1

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,12 @@
 
 # DARWIN
 #OPTFLAGS += -DDARWIN
+
+# DARWIN, continued, if compiling for macOS with Homebrew
+#CFLAGS += -I/usr/local/opt/openssl/include
+#LDFLAGS += -L/usr/local/opt/openssl/lib
+#OPTFLAGS += -DDEFAULT_CA_FILE='"/usr/local/etc/openssl@1.1/cacert.pem"'
+#OPTFLAGS += -DDEFAULT_CA_DIR=NULL
 
 # CYGWIN
 #OPTFLAGS += -DCYGWIN

=== debian/changelog ===
proxytunnel (1.12.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:24:21 +1100

proxytunnel (1.12.1-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:05:30 +0000

proxytunnel (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * d/t/*: Refactor autopkgtests and extend it to test proxytunnel also as
    daemon listening for IPv4 or IPv6 connections.
  * d/copyright: Bump years where required.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 06 Feb 2024 19:14:51 +0100

proxytunnel (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Update Build-Depends pkg-config to pkgconf.
    - Fix typo in Description.
  * d/copyright:
    - Add a copyright holder missing from setproctitle.c.
    - Correct the spelling of a copyright holder's last name.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sun, 17 Dec 2023 21:34:25 +0100

proxytunnel (1.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Adapt d/patches/* to new release.
    - Remove patch meanwhile applied upstream:
      SSL_set_tlsext_host_name-return-value-check.patch
  * d/salsa-ci.yml: Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ALL.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Mon, 16 Oct 2023 22:56:56 +0200

proxytunnel (1.11-2) unstable; urgency=medium

  * Flag d/p/SSL_set_tlsext_host_name-return-value-check.patch as forwarded.
  * Fix distribution of the latest entry in d/NEWS.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Mon, 04 Sep 2023 20:47:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: proxytunnel
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sven Geuer <debmaint@g-e-u-e-r.de>
 Section: net
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libssl-dev,
-               pkg-config,
+               pkgconf,
                xmlto,
                asciidoc
 Standards-Version: 4.6.2
@@ -28,5 +29,5 @@
  written as an extension to SSH, to be used to SSH to a box at home.
  .
  It's possible to use proxytunnel along with other applications as well,
- by running it from inetd or as daemon listing on a local port to be
+ by running it from inetd or as daemon listening on a local port to be
  forwarded through the tunnel.

=== debian/tests/control ===
Tests: test-tunneled-ssh
Depends: @, apache2, ssl-cert, openssh-server, openssh-client, lsof
Restrictions: needs-root, isolation-container

=== debian/watch ===
# Watchfile for proxytunnel
# See uscan(1) for format

# Compulsory line, this is a version 4 file

version=4
opts=\
filenamemangle=s%(?:.*?/)?v?(\d+(?:\.\d+)+)\.tar\.gz%proxytunnel-$1.tar.gz% \
https://github.com/proxytunnel/proxytunnel/tags \
(?:.*?/)?v?(\d+(?:\.\d+)+)\.tar\.gz debian uupdate

## proxytunnel 1.12.2

=== debian/changelog ===
proxytunnel (1.12.2-3) unstable; urgency=medium

  * d/watch: Git rid of "uscan warn: unrecognized option ''".

 -- Sven Geuer <sge@debian.org>  Thu, 20 Feb 2025 23:21:39 +0100

proxytunnel (1.12.2-2) unstable; urgency=medium

  * d/p/*: Add patch to correct version and date manpage and option -V report.
  * d/t/test-tunneled-ssh: Replace openssl with mktemp to create the user
    being in use during the tests.
  * d/control:
    - Update my email address to the d.o one.
    - Bump Standards-Version to 4.7.0.
  * d/copyright: Bump Debian copyright years to 2025.
  * d/watch: Drop unneeded option filenamemangle.

 -- Sven Geuer <sge@debian.org>  Sun, 16 Feb 2025 17:54:51 +0100

proxytunnel (1.12.2-1) unstable; urgency=medium

  * Team upload

  [ Sven Geuer ]
  * Switch debian-branch to debian/unstable.

  [ Hilko Bengen ]
  * New upstream version 1.12.2

 -- Hilko Bengen <bengen@debian.org>  Sat, 15 Feb 2025 23:17:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: proxytunnel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Sven Geuer <debmaint@g-e-u-e-r.de>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Sven Geuer <sge@debian.org>
 Section: net
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -9,7 +8,7 @@
                pkgconf,
                xmlto,
                asciidoc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/proxytunnel
 Vcs-Git: https://salsa.debian.org/pkg-security-team/proxytunnel.git

## proxytunnel 1.12.3

=== docs/Makefile ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 adoctargets = $(shell echo *.adoc)
 htmltargets = $(patsubst %.adoc, %.html, $(adoctargets))
+
+version = $(shell grep ' VERSION ' ../config.h | cut -d'"' -f2)
+version_date = $(shell grep ' VERSION_DATE ' ../config.h | cut -d'"' -f2)
 
 docs: proxytunnel.1 $(htmltargets)
 
@@ -15,7 +18,7 @@
 	rm -f proxytunnel.1 *.html *.xml
 
 %.1.html: %.1.adoc
-	asciidoc -d manpage $<
+	asciidoc -d manpage -arevnumber=$(version) -arevdate=$(version_date) $<
 
 %.1: %.1.xml
 	xmlto man $<
@@ -24,4 +27,4 @@
 	asciidoc $<
 
 %.1.xml: %.1.adoc
-	asciidoc -b docbook -d manpage $<
+	asciidoc -b docbook -d manpage -arevnumber=$(version) -arevdate=$(version_date) $<

=== debian/changelog ===
proxytunnel (1.12.3-1) unstable; urgency=medium

  * New upstream version 1.12.3
  * d/p/*: Drop patch version-number-and-date.patch, it is not needed anymore.
  * d/copyright: Bump upstream's copyright years.
  * d/control: Bump Standards-Version to 4.7.2.

 -- Sven Geuer <sge@debian.org>  Fri, 07 Mar 2025 23:49:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                pkgconf,
                xmlto,
                asciidoc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/proxytunnel
 Vcs-Git: https://salsa.debian.org/pkg-security-team/proxytunnel.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment this to force a specific compiler, like 'gcc-9' or 'gcc-10'.
#export CC=gcc-10

# Make sure the code is compiled for use with OpenSSL 1.1.0 and above
export OPTFLAGS=-DOPENSSL11

# Make sure lintian does not complain about missing hardenings
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

=== debian/watch ===
# Watchfile for proxytunnel
# See uscan(1) for format

# Compulsory line, this is a version 4 file

version=4
opts=\
	"" \
https://github.com/proxytunnel/proxytunnel/tags \
(?:.*?/)?v?(\d+(?:\.\d+)+)\.tar\.gz debian uupdate
